        PAGE    60,132
NAME    NPRINT
        TITLE   NOPRINT.com Version 1.3

COMMENT 


TSR to "ground" all attempts to print.
Prevents programs from hanging up when they try to print
when there is no printer.  Disables all printers.
Intercepts BIOS print and throws away all output.


Please report bugs and problems to:

Roedy Green
Canadian Mind Products
#208 - 525 Ninth Street
New Westminster BC Canada
V5H 2N6
tel:(604) 777-1804
mailto:roedy@mindprod.com
http://mindprod.com


Version 1.3 1998 November 8
- embed Barker address

Version 1.2 1996 October 25
- embed POB 707 Quathiaski Cove address

Version 1.1
- embed new address and phone

Version 1.0
by S J Grant 1990 June 18
debugged and documented by Roedy Green

;

; M A C R O S

CR      MACRO   ; Carriage return line feed
        DB 0dh,0ah
        ENDM

;======

EOS     MACRO   ; marks end of display string
        DB 0dh,0ah,'$'
        ENDM

;======

_TEXT   segment
ASSUME  CS : _TEXT, DS: _TEXT, ES: _TEXT, SS: _TEXT
        org     100H

start:
        jmp     short init

newint17:
        mov     ah, 90H         ; not busy, selected
        iret                    ; fancier version might clear carry
                                ; just in case.  Would need RETF 2  then.
        ; 1  bit 7 = not busy  see page A-46 Tech Ref ROM BIOS
        ; 0  bit 6 = ack
        ; 0  bit 5 = out of paper
        ; 1  bit 4 = selected
        ; 0  bit 3 = i/o error
        ; 0  bit 2
        ; 0  bit 1
        ; 0  bit 0 = timeout

;========================================================
; only code above this line needs to remain resident
;========================================================
DISPOSE:

init:
        mov     ax, 2517H
        mov     dx, offset newint17
        int     21H             ; hook the INT 17H vector

        mov     ax,DS:[2Ch]     ; pointer to environment
        mov     ES,ax
        mov     ah,49h          ; free allocated RAM for SET

        mov     ax, 3100H
        MOV     DX,((Dispose-Start)+100h+15d)/16d
        INT     21h             ; paragraphs to keep resident
                                ; 100h accounts for PSP.
                                ; 15d rounds up to next para.
                                ; We can throw away
                                ; initialization code.
                                ; Originial version failed to
                                ; account for PSP space.


CopyrightMsg    label byte      ; does not display
        CR
        DB      ' NoPrint 1.3 ۲'
        CR
        DB      'Freeware to disable printing.'
        CR
        DB      'usage:  NoPrint'
        CR
        DB      'Copyright (c) 1990-1999 Roedy Green Canadian Mind Products'
        CR
        DB      '#208 - 525 Ninth Street, New Westminster, BC Canada V3M 5T9',13,10
        DB      'tel:(604) 777-1804   mailto:roedy@mindprod.com   http://mindprod.com',13,10
        DB      'May be freely distributed and used for any purpose except military.'
        EOS
_TEXT   ends

        end     start
; -30-
